Create a job listing
Important
The base URL here is https://api.flatchr.io
Request
You can create a job listing using the following request:
POST /company/{companyID}/vacancy
Parameters
| Parameter | In | Type | Required | Description | Example |
|---|---|---|---|---|---|
| companyId | path | string | Company identifier | Wy3EOp2NP3p1KMq8 | |
| title | payload | string | Job title | Web Developer | |
| reference | payload | string | Job reference | dev-web-01 | |
| description | payload | string | Job description | We are looking for an experienced web developer | |
| mission | payload | string | Job mission | Develop innovative web applications | |
| profile | payload | string | Desired candidate profile | Experience in web development | |
| experience | payload | enum | Required years of experience (see experience) | 1, 2, 4, 6, 11 | |
| salary | payload | string | Offered salary | 40 000 | |
| salary_max | payload | string | Maximum salary | 60 000 | |
| contract_type_id | payload | integer | contract_type_id | ||
| education_level_id | payload | integer | education_level_id | ||
| activity_id | payload | integer | activity_id | ||
| channel_id | payload | integer | channel_id | ||
| metier_id | payload | integer | metier_id | ||
| currency | payload | string | Salary currency | EUR, USD, GBP, CAD, CHF | |
| language | payload | string | Listing language | fr_FR - en_GB | |
| status | payload | integer | Listing status | 1 | |
| note | payload | string | Additional note | Position to be filled quickly | |
| mensuality | payload | enum (y,m,d,h) | Salary payment frequency (year, month, day, hour) | y,m,d,h | |
| driver_license | payload | boolean | Driving license required | true or false | |
| partial | payload | boolean | Part-time position | true or false | |
| remote | payload | enum | Remote work position | parttime, notime, fulltime | |
| handicap | payload | boolean | Position open to people with disabilities | true or false | |
| kanban | payload | boolean | Use Kanban for this recruitment | true or false | |
| start_date | payload | date | Contract start date | 2023-05-01 | |
| end_date | payload | date | Contract end date | 2024-05-01 | |
| meta_title | payload | string | SEO title | Web Developer Job Opening | |
| meta_description | payload | string | SEO description | We are recruiting an experienced web developer to join our team | |
| meta_tags | payload | string | SEO keywords | web developer, recruitment, company | |
| questions | payload | array | Array of question objects | ||
| address | payload | object | address object | ||
| tags | payload | array or string | tag ID(s) | ["1234567890123456", "2234567890123456"] or "1234567890123456" | |
| options | payload | object | options object | {"required": ["email", "resume", "motivation"], "optionals": ["phone", "social_links"], "desactivated": ["indeed"], "motivationType": "text"} | |
| video_url | payload | string | Video URL | ||
| show_address | payload | boolean | Show address on the listing on your career site | true or false | |
| show_contract_type | payload | boolean | Show contract type on the listing on your career site | true or false | |
| show_salary | payload | boolean | Show salary on the listing on your career site | true or false | |
| worker_status | payload | enum | Worker status | employee, engineer, executive, supervisor, technician, worker | |
| benefits | payload | array of strings | Benefits related to the position or company | ['Health insurance', 'Transport reimbursement'] | |
| skills | payload | strings | Skills related to the position, values must be separated by ";" | Meticulous | |
| faqs | payload | array of object | FAQ related to the listing | See faqs schema |
Request example
cURL request
curl -X POST \
https://api.flatchr.io/company/Wy3EOp2NP3p1KMq8/vacancy \
-H "Authorization: Bearer {token}" \
-H 'Content-Type: application/json' \
-d '{
"title": "Web Developer",
"reference": "dev-web-01",
"description": "We are looking for an experienced web developer",
"mission": "Develop web applications",
"profile": "Experience in web development",
"salary": 40000,
"salary_max": 60000,
"contract_type_id": 1,
"education_level_id": 2,
"experience": 2,
"activity_id": 3,
"channel_id": 4,
"metier_id": 5,
"currency": "EUR",
"language": "en_GB",
"status": 1,
"note": "",
"mensuality": "y",
"driver_license": false,
"partial": false,
"remote": "fulltime",
"handicap": false,
"kanban": false,
"start_date": "2023-05-01",
"end_date": "2024-05-01",
"meta_title": "",
"meta_description": "",
"meta_tags": "",
"questions": [],
"address": {
"street_number": "12",
"route": "rue des Lilas",
"locality": "Paris",
"administrative_area_level_2": "Paris",
"administrative_area_level_1": "Île-de-France",
"country": "France",
"postal_code": "75001",
"formatted_address": "12 rue des Lilas, 75001 Paris, France",
"location_lat": 48.856614,
"location_lng": 2.3522219
},
"tags": [],
"options": {},
"skills": "Meticulous;Punctual",
"benefits": ["Health insurance", "Gym"],
"worker_status": "executive",
"video_url": "https://youtu.be/6iPzmstn-74",
"show_address": false,
"show_contract_type": false,
"show_contract_date": true,
"show_salary": false
}'
Response
| Name | Type | Description |
|---|---|---|
| id | string | Unique listing identifier (encoded) |
| vacancy_id | string | Unique listing identifier (decoded) |
| slug | string | Listing slug |
| reference | string | Job listing reference |
| title | string | Job listing title |
| description | string | Job listing description |
| experience | integer | Required years of experience for the position |
| mission | string | Position mission |
| profile | string | Required profile for the position |
| salary | integer or string | Offered salary for the position |
| status | integer | Job listing status |
| language | string | Job listing language |
| tags | array | Tags associated with the job listing |
| contract_type_id | integer | Contract type ID associated with the job listing |
| education_level_id | integer | Education level required for the position ID |
| activity_id | integer | Activity sector ID associated with the job listing |
| channel_id | integer | Distribution channel ID for the job listing |
| metier_id | integer | Job category ID associated with the job listing |
| company_id | integer | ID of the company publishing the listing |
| mensuality | enum (y,m,d,h) | Salary payment frequency (year, month, day, hour) |
| apply_url | string | URL of the application page for the job listing |
| currency | string | Currency used for the salary |
| created_at | date | Job listing creation date |
| updated_at | date | Job listing last update date |
| start_date | date | Contract start date |
| end_date | date | Contract end date |
| driver_license | boolean | Whether a driving license is required for the position |
| remote | string | Remote work type |
| handicap | boolean | Whether the position is open to workers with disabilities |
| partial | boolean | Whether the position can be done part-time |
| kanban | boolean | Whether the job listing is integrated into a Kanban board |
| meta_title | string | SEO page title associated with the job listing |
| meta_description | string | SEO page description associated with the job listing |
| options | object | Job listing options for display on career sites |
| note | string | Note associated with the job listing (may be empty) |
| address | object | Address associated with the job listing |
| addressFormatted | string | Formatted address associated with the job listing |
| questions | array | Questions associated with the job listing |
Response example
View example
{
"id": "xlV0D9aAaZ9WELkZ",
"vacancy_id": 1942,
"slug": "xlv0d9aaaz9welkz-web-developer",
"reference": "dev-web-01",
"title": "Web Developer",
"description": "We are looking for an experienced web developer",
"experience": 3,
"mission": "Develop web applications",
"profile": "Experience in web development",
"salary": "40000",
"status": 1,
"language": "en_GB",
"tags": [],
"contract_type_id": 1,
"education_level_id": 2,
"activity_id": 3,
"channel_id": 4,
"metier_id": 5,
"company_id": 59,
"mensuality": "y",
"apply_url": null,
"currency": "EUR",
"created_at": "2023-04-06T08:51:13.584Z",
"updated_at": "2023-04-06T08:51:13.600Z",
"start_date": "2023-05-01T00:00:00.000Z",
"end_date": "2024-05-01T00:00:00.000Z",
"driver_license": false,
"remote": "fulltime",
"handicap": false,
"partial": false,
"kanban": false,
"meta_title": "",
"meta_description": "",
"meta_tags": "",
"options": {},
"address": {
"locality": "Paris",
"location_lat": "48.86",
"location_lng": "2.35",
"postal_code": "75001",
"route": "rue des Lilas",
"street_number": "12",
"administrative_area_level_1": "Île-de-France",
"administrative_area_level_2": "Paris",
"formatted_address": "12 rue des Lilas, 75001 Paris, France",
"country": "France"
},
"addressFormatted": "12 rue des Lilas, 75001 Paris, France",
"slug_mail": "vxy98z",
"questions": [],
"skills": "Meticulous;Punctual",
"benefits": ["Health insurance", "Gym"],
"worker_status": "executive",
"video_url": "https://youtu.be/6iPzmstn-74",
"show_address": false,
"show_contract_type": false,
"show_contract_date": true,
"show_salary": false
}